EDIT - task #9607

read image metadata from MedialnfoService if available
05/05/2021 05:52 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

The BGBM digilib image server is now complemented by an instance of the MedialnfoService that is available at
https://image.bgbm.org/metadata/info

Example request: https://image.bgbm.org/metadata/info?file=Cyprus/Sisymbrium_aegyptiacum_C1.jpg

If an instance of the MedialnfoService is present for a given image URL e.g.

https://pictures.bgbm.org/digilib/Scaler?fn=Cyprus/Sisymbrium_aegyptiacum_C1.jpg&mo=file

The cdm service should use that instead of extracting the metadata from the image file, for which downloading of the image is
required.

Related issues:
Related to EDIT - bug #9608: UriUtils to use HTTP HEAD requests where possible New
Related to EDIT - bug #9610: MediaMetadataFileReader (formerly in Cdmimagelnf... In Progress

Associated revisions

Revision 3f04dd4e - 05/06/2021 02:53 PM - Andreas Kohlbecker

ref #9607 replacing class local factory methods and heplers in Cdmlmagelnfo by service layer factory classes and metadata 'reader’ class

Revision 8674bf53 - 05/06/2021 02:53 PM - Andreas Kohlbecker

ref #9607 moving and renaming test class from commons to services

Revision 3526156e - 05/06/2021 03:09 PM - Andreas Kohlbecker

ref #9607 moving MediaMetadataService URI transformation to DefaultMediaTransformations

Revision 17c6b2e1 - 05/06/2021 03:34 PM - Andreas Kohlbecker

ref #9607 adapting to changes in image metadata factories

Revision 48334f5f - 05/06/2021 03:43 PM - Andreas Kohlbecker

ref #9607 adapting to changes in image metadata factories - CdmApplicationRemoteConfiguration

Revision 952aa532 - 05/07/2021 03:35 PM - Andreas Kohlbecker
ref #9607 using MediaMetadataFileReader.legacyFactoryMethod in editor

Revision 8c65aedb - 05/07/2021 03:36 PM - Andreas Kohlbecker

ref #9607 fixing typo in class name, legacy method for old code using MediaMetadataFileReader, preparing for more metadata readers

Revision d7840c7b - 05/07/2021 03:36 PM - Andreas Kohlbecker

ref #9607 introducing IMedialnfoFactory interface

Revision 3d7d94fd - 05/07/2021 03:36 PM - Andreas Kohlbecker

ref #9607 removing obsolete methods

Revision 9803439 - 05/07/2021 03:36 PM - Andreas Kohlbecker
https://github.com/cybertaxonomy/MediaInfoService
https://image.bgbm.org/metadata/info
https://image.bgbm.org/metadata/info?file=Cyprus/Sisymbrium_aegyptiacum_C1.jpg
https://pictures.bgbm.org/digilib/Scaler?fn=Cyprus/Sisymbrium_aegyptiacum_C1.jpg&mo=file

ref #9607 ref #9203 less error-prone api for MediaUriTransformationProcessor

Revision 4472b242 - 05/07/2021 04:28 PM - Andreas Kohlbecker
ref #9607 MediaMetadataReader class hierarchy

Revision 67bc277e - 05/07/2021 04:46 PM - Andreas Kohlbecker

ref #9607 ref #9203 less error-prone api for MediaUriTransformationProcessor - adapting test

Revision 388873cb - 05/07/2021 04:48 PM - Andreas Kohlbecker
ref #9607 avoiding NPEs in case of file: URIs

Revision 163868e4 - 05/07/2021 04:49 PM - Andreas Kohlbecker
ref #9607 trunk for MedialnfoServiceReader

Revision 3778869 - 05/18/2021 12:06 AM - Andreas Kohlbecker

ref #9607 adding media-info-model as dependency

Revision 6¢5265eb - 05/18/2021 12:06 AM - Andreas Kohlbecker

ref #9607 renaming class to MedialnfoFileReader

Revision 7¢55e607 - 05/18/2021 12:06 AM - Andreas Kohlbecker
ref #9607 completing MedialnfoServiceReader

Revision 17d14285 - 05/18/2021 12:06 AM - Andreas Kohlbecker
ref #9607 more tests

Revision e5f4183f - 05/18/2021 12:06 AM - Andreas Kohlbecker

ref #9607 adapting to renamend class -> MedialnfoFileReader

Revision 6f82f20d - 05/18/2021 10:28 PM - Andreas Kohlbecker

ref #9607 customized dozer mapping and more tests

Revision ¢3227e69 - 05/18/2021 10:28 PM - Andreas Kohlbecker

ref #9607 adding more default media metadata fields

Revision d0b31346 - 05/18/2021 10:28 PM - Andreas Kohlbecker

ref #9607 processing of metadata with custom structure & test

Revision cb89a368 - 05/19/2021 12:47 PM - Andreas Kohlbecker

ref #9607 using parallel stream to collect metadata for [lIF manifest

Revision 32e6bfbb - 12/15/2021 11:09 PM - Andreas Miiller

ref #9607 adapt app-import to new media metadata reading

Revision 3baaf1b2 - 12/17/2021 11:54 PM - Andreas Miiller

ref #9607 remove redundant method in IMedialnfoFactory

Revision 72e2be95 - 01/05/2022 02:24 PM - Andreas Miiller

ref #9607 try metadata reading client side if error occurs server side

History

#1 - 05/05/2021 06:07 PM - Andreas Kohlbecker
- Related to bug #9608: UriUtils to use HTTP HEAD requests where possible added

#2 - 05/06/2021 02:55 PM - Andreas Kohlbecker

- Status changed from New to In Progress
- % Done changed from 0 to 10

#3 - 05/06/2021 03:23 PM - Andreas Kohlbecker
- Related to bug #9610: MediaMetadataFileReader (formerly in Cdmimagelnfo) loads same image file multiple times added

#4 - 05/17/2021 12:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.23

#5 - 05/18/2021 12:10 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

#6 - 05/19/2021 02:14 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#7 - 05/21/2021 07:53 AM - Andreas Miiller

- Category changed from cdm to cdmlib
